Bug 1388029 - Please update nodejs to 0.10.48 because of CVE-2016-5180
Summary: Please update nodejs to 0.10.48 because of CVE-2016-5180
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nodejs
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-24 09:19 UTC by Ralph Angenendt
Modified: 2017-01-01 19:47 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-01 19:47:59 UTC


Attachments (Terms of Use)

Description Ralph Angenendt 2016-10-24 09:19:20 UTC
Description of problem:

nodejs in EPEL 6 is vulnerable to an out-of-buffer write, so the node project released version 0.10.48 to fix this bug.

Please update the version in EPEL 6 in order to fix this issue. 

https://nodejs.org/en/blog/vulnerability/october-2016-security-releases/

Thank you.

Ralph

Comment 1 Stephen Gallagher 2016-10-24 12:30:51 UTC
I'm working on this right now, but please be aware that Node.js 0.10.x is now EOL upstream and will receive no further updates.

We're looking into how we can get EPEL 6 updated to Node.js 6.x LTS like we did for EPEL 7, but at the moment we're limited by the fact that it won't build on the version of GCC shipped in RHEL 6.

Comment 2 Ralph Angenendt 2016-10-24 12:35:31 UTC
Thank you. I just stumbled upon this while looking at our "node zoo". Also thanks for looking at 6.x LTS.

Comment 3 Zuzana Svetlikova 2016-10-24 14:14:03 UTC
If you want to use node v6, try https://copr.fedorainfracloud.org/coprs/zvetlik/nodejs-epel6/ . It is the same package that would have end up in EPEL6 if we could  build it.

Comment 4 Fedora Update System 2016-10-25 00:19:33 UTC
nodejs-0.10.48-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb5398893b

Comment 5 Fedora Update System 2017-01-01 19:47:59 UTC
nodejs-0.10.48-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.